开通VIP 淘币充值 客服QQ 会员Q群 校园代理 合作伙伴
搜索
查看: 739|回复: 0

在SQLServer 2005附加出现948错误的解决方案 [复制链接]

发表于 2015-4-25 18:26:17 |显示全部楼层

远程服务器软件系统不算新,数据库是SQL Server 2005.本地开发基本是用新的软件系统.数据库采用SQL Server 2008. 这样在用远程服务器SQL 2005选择附加SQL 2008的数据库时就出现错误:
“数据库 'XXX' 的版本为 655,无法打开。此服务器支持 612 版及更低版本。不支持降级路径。无法打开新数据库 XXX 。CREATE DATABASE 中止。 (Microsoft SQL Server,错误: 948)”

有没有办法让SQL 2005能附加这个数据库?直接附加是不行的,也不能用备份+还原的方式解决问题.

  解决方法: 在SQL 2008中右键 数据库--任务--生成脚本 通过脚本生成向导为整个库的对象生成脚本,并设置好相关的脚本生成选项,尤其要注意的是脚本的服务器版本要选择sql server 2005完成向导后,在SQL 2005中执行生成的脚本,这样就把2008的库结构搬到2005了再用数据导入/导出向导把数据导过去就行了


关闭

站长推荐上一条 /1 下一条

发布主题 快速回复 返回列表 官方QQ群
Copyright (C) 2014-2016 taobishe.com, All rights reserved

Powered by Discuz! X3.2 淘毕设网 鲁ICP备15008547号-1
请勿发布违反中华人民共和国法律法规的言论,会员观点不代表本站官方立场。
底部导航:关于我们|SSH毕业设计|Archiver|手机版| 淘毕设网 Inc.

快速回复 返回顶部 返回列表